flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jmcl...@apache.org
Subject [1/2] git commit: [flex-sdk] [refs/heads/develop] - Added support for AIR 3.8 on labs
Date Mon, 13 May 2013 14:53:02 GMT
Updated Branches:
  refs/heads/develop ac7bb938a -> 188fa2d03


Added support for AIR 3.8 on labs


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/65d2aec5
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/65d2aec5
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/65d2aec5

Branch: refs/heads/develop
Commit: 65d2aec5a80e2da5f01fb1b4f64204f67a5f6644
Parents: ac7bb93
Author: Justin Mclean <jmclean@apache.org>
Authored: Tue May 14 00:52:00 2013 +1000
Committer: Justin Mclean <jmclean@apache.org>
Committed: Tue May 14 00:52:00 2013 +1000

----------------------------------------------------------------------
 ide/addAIRtoSDK.sh |   18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/65d2aec5/ide/addAIRtoSDK.sh
----------------------------------------------------------------------
diff --git a/ide/addAIRtoSDK.sh b/ide/addAIRtoSDK.sh
index ecaef6c..e8de4be 100755
--- a/ide/addAIRtoSDK.sh
+++ b/ide/addAIRtoSDK.sh
@@ -30,11 +30,12 @@
 AIR_VERSION="$1"
 OS=`uname`
 
-if [[ "${AIR_VERSION}" != "3.7" && "${AIR_VERSION}" != "3.6" && "${AIR_VERSION}"
!= "3.5" && "${AIR_VERSION}" != "3.4"  
+if [[ "${AIR_VERSION}" != "3.8" && "${AIR_VERSION}" != "3.7" && "${AIR_VERSION}"
!= "3.6"
+  && "${AIR_VERSION}" != "3.5" && "${AIR_VERSION}" != "3.4"  
   && "${AIR_VERSION}" != "3.3"  && "${AIR_VERSION}" != "3.2" && "${AIR_VERSION}"
!= "3.1"
   && "${AIR_VERSION}" != "3.0" && "${AIR_VERSION}" != "2.7" && "${AIR_VERSION}"
!= "2.6" ]]
 then
-	echo Unknown version ${AIR_VERISON} of AIR. Versions 2.6, 2.7, 3.0, 3.1, 3.2, 3.3, 3.4,
3.5, 3.6 and 3.7 are supported.
+	echo Unknown version ${AIR_VERISON} of AIR. Versions 2.6, 2.7, 3.0, 3.1, 3.2, 3.3, 3.4,
3.5, 3.6, 3.7 and 3.8 are supported.
 	exit 1;
 fi
 
@@ -102,6 +103,11 @@ downloadAIR()
         airDownload="http://airdownload.adobe.com/air/lin/download/${version}/AdobeAIRSDK.tbz2"
     fi
     
+    if [[ ${AIR_VERSION} = "3.8" ]]
+    then
+    	airDownload="http://labsdownload.adobe.com/pub/labs/flashruntimes/air/air3-8_sdk_sa_mac.tbz2"
+    fi
+    
 	echo Downloading AIR ${version}
 	curl ${airDownload} > "${airTempDir}/air.tbz2"
 	
@@ -152,6 +158,14 @@ updatePlayerDescription "${AIR_VERSION}" "${IDE_SDK_DIR}/flex-sdk-description.xm
 for configFile in "${configFiles[@]}"
 do
 	echo Updating ${configFile}
+	
+	
+	# 3.8 needs FP 11.8 and swf version 21
+	if [ ${AIR_VERSION} = "3.8" ]
+	then
+		updatePlayerVersion 11.8 "${configFile}"
+		updateSWFVersion 21 "${configFile}"
+	fi	
 
 	# 3.7 needs FP 11.7 and swf version 20
 	if [ ${AIR_VERSION} = "3.7" ]


Mime
View raw message